> For the complete documentation index, see [llms.txt](https://developers.gurupay.eu/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.gurupay.eu/webhooks/events/account-event.md).

# Account Event

## Account Event

Guru Pay sends an Account Webhook when an account changes state in the system. This allows your application to listent to account events like when a new account is created or closed.

## Virtual IBANs

Currently Guru Pay application will send account events only to customers who are using Virtual IBAN product.

With the later system updates, after public communication account webhooks will be enabled for all customers.

### When It's Triggered <a href="#when-its-triggered" id="when-its-triggered"></a>

This webhook is triggered when:

* A new Virtual IBAN is opened for a customer
* Virtual IBAN is closed
* The webhook configuration is active for the recipient account.

### Event Structure <a href="#event-structure" id="event-structure"></a>

```json
{
  "type": "account",
  "event": "account.created",
  "created_at": 1757604022,
  "account": {
    "uuid": "7c004b54-3f62-4cb0-8ee1-16fc436ba39d",
    "status": "created",
    "customer_uuid": "6fe8a48e-82a1-4410-a18f-b2686b77f6d7",
    "account_name": "Account name",
    "account_number": "LT383400015000111111",
    "currency": "EUR",
    "opening_date": "2025-09-11",
    "opening_date_unix": 1757548800,
    "balance": 0,
    "balance_national": 0,
    "book_balance": 0,
    "book_balance_national": 0,
    "available_balance": 0,
    "available_balance_national": 0,
    "hold": 0,
    "cards_reserved_amount": 0,
    "cards_reserved_amount_national": 0,
    "created_at": 1757604019,
    "updated_at": 1757604019,
    "account_type": "virtual",
    "virtual_account_holder": {
      "name": "Virtual IBAN holder name",
      "person_type": "natural|legal",
      "citizenship": "LT",
      "registrationCode": "12345",
      "address": {
        "line": "Address line",
        "city": "Vilnius",
        "country": "LT",
        "postalCode": "111222"
      }
    }
  }
}
```

### Event Types <a href="#event-types" id="event-types"></a>

| Type            | Description                               |
| --------------- | ----------------------------------------- |
| account.created | New account was created and IBAN assigned |
| account.closed  | Account was closed                        |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers.gurupay.eu/webhooks/events/account-event.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
